%define perlver %(rpm -q perl --queryformat '%%{version}' 2>/dev/null)

Summary: DBI driver for PostgreSQL database.
Name: perl-dbd-pg
Version: 1.49
Release: 3tr
License: Artistic/GPL v1
Group: Trustix Official
Source0: http://www.cpan.org/modules/by-module/DBD/DBD-Pg-%{version}.tar.gz
Patch0: dbd-pg-memoryleak.patch
Patch1: dbd-pg-bytequote.patch
BuildRequires: perl >= %{perlver}
BuildRequires: postgresql-devel openssl-devel
BuildRequires: gdbm-devel
Requires: postgresql-libs 
BuildRoot: /var/tmp/%{name}-%{version}-root

%define siteperl /usr/lib/perl5/site_perl/%{perlver}

%description
DBD-Pg is a PostgreSQL interface for Perl5 using DBI.

%prep
%setup -q -n DBD-Pg-%{version}
%patch0 -p1
%patch1 -p2

%build
export POSTGRES_LIB="/usr/lib/postgresql/ -lssl"
perl Makefile.PL
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{_prefix}


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,0755)
%doc Changes README
%{siteperl}/i586-linux-thread-multi/DBD/Pg.pm
%dir %{siteperl}/i586-linux-thread-multi/auto/DBD/Pg
%attr(755,root,root) %{siteperl}/i586-linux-thread-multi/auto/DBD/Pg/*
%{_mandir}/man3/DBD::Pg*

%changelog
* Thu Jan 04 2007 Nived Gopalan <nived at trustix dot org> 1.49-3tr
- Fixed memory leak in pg_notifies, Bug #2024.

* Mon Oct 30 2006 Bipin S <bipin at trustix dot org> 1.49-2tr
- Fixed memory leak, Bug #2024.

* Thu Jun 15 2006 Nived Gopalan <nived at trustix dot org> 1.49-1tr
- New Upstream.

* Fri Apr 07 2006 Nived Gopalan <nived at trustix dot org> 1.48-1tr
- Initial build for TSL 2.2
